<?php
class tabsl_oxemail extends tabsl_oxemail_parent
{
    protected $_sTabslRateOrderMailTpl      = "tabsl_email_rateorder.tpl";
    
    /**
     * Sets mailer additional settings and sends "TabslRateNowMail" mail to user.
     * Returns true on success.
     *
     * @param oxOrder $oOrder   order object
     * @param string  $sSubject user defined subject [optional]
     *
     * @return bool
     */
    public function tabsl_sendRateOrderMail( $oOrder, $sSubject = null )
    {
        $myConfig = $this->getConfig();

        $iOrderLang = (int) ( isset( $oOrder->oxorder__oxlang->value ) ? $oOrder->oxorder__oxlang->value : 0 );

        // shop info
        $oShop = $this->_getShop( $iOrderLang );

        //set mail params (from, fromName, smtp)
        $this->_setMailParams( $oShop );

        //override default wrap
        //$this->setMailWordWrap( 0 );

        //create messages
        $oLang = oxLang::getInstance();
        $oSmarty = $this->_getSmarty();
        $oSmarty->assign( "charset", $oLang->translateString("charset"));
        $oSmarty->assign( "shop", $oShop );
        $oSmarty->assign( "oViewConf", $oShop );
        $oSmarty->assign( "oView", $myConfig->getActiveView() );
        $oSmarty->assign( "order", $oOrder );
        $oSmarty->assign( "currency", $myConfig->getActShopCurrencyObject() );

        //deprecated var
        $oSmarty->assign( "isreview", true);
        $oUser = oxNew( 'oxuser' );
        $oSmarty->assign( "reviewuserhash", $oUser->getReviewUserHash($oOrder->oxorder__oxuserid->value) );

        $oOutputProcessor = oxNew( "oxoutput" );
        $aNewSmartyArray = $oOutputProcessor->processViewArray( $oSmarty->get_template_vars(), "oxemail" );

        foreach ( $aNewSmartyArray as $key => $val ) {
            $oSmarty->assign( $key, $val );
        }

        // dodger #1469 - we need to patch security here as we do not use standard template dir, so smarty stops working
        $aStore['INCLUDE_ANY'] = $oSmarty->security_settings['INCLUDE_ANY'];
        //V send email in order language
        $iOldTplLang = $oLang->getTplLanguage();
        $iOldBaseLang = $oLang->getTplLanguage();
        $oLang->setTplLanguage( $iOrderLang );
        $oLang->setBaseLanguage( $iOrderLang );

        $oSmarty->security_settings['INCLUDE_ANY'] = true;

        $this->setBody( $oSmarty->fetch( $myConfig->getTemplatePath( $this->_sTabslRateOrderMailTpl, false ) ) );
        #$this->setAltBody( $oSmarty->fetch( $myConfig->getTemplatePath( $this->_sTabslRateOrderMailTpl, false ) ) );
        $oLang->setTplLanguage( $iOldTplLang );
        $oLang->setBaseLanguage( $iOldBaseLang );
        // set it back
        $oSmarty->security_settings['INCLUDE_ANY'] = $aStore['INCLUDE_ANY'] ;

        //Sets subject to email
        
        // tabsl START
        $sRateSubject = 'Bewertung Ihrer Bestellung bei www.partyschnaps.eu';
        $this->setSubject( $sRateSubject );
        // tabsl END
        
        $sFullName = $oOrder->oxorder__oxbillfname->getRawValue() . " " . $oOrder->oxorder__oxbilllname->getRawValue();

        $this->setRecipient( $oOrder->oxorder__oxbillemail->value, $sFullName );
        $this->setReplyTo( $oShop->oxshops__oxorderemail->value, $oShop->oxshops__oxname->getRawValue() );
        return $this->send();
    }
    
    
}